FrobbyImpl::FrobbyIdealHelper Class Reference

## Public Member Functions

| FrobbyIdealHelper (size_t variableCount)

## Static Public Member Functions

static const BigIdeal & | getIdeal (const Frobby::Ideal &ideal)

## Private Attributes

BigIdeal | _ideal
size_t | _atVariable

## Friends

class | Frobby::Ideal

## Detailed Description

Definition at line 182 of file frobby.cpp.

## Constructor & Destructor Documentation

## FrobbyIdealHelper()

FrobbyImpl::FrobbyIdealHelper::FrobbyIdealHelper | ( | size_t | variableCount | ) |

inline

Definition at line 184 of file frobby.cpp.

## Member Function Documentation

## getIdeal()

const BigIdeal & FrobbyImpl::FrobbyIdealHelper::getIdeal | ( | const Frobby::Ideal & | ideal | ) |

inline static

Definition at line 189 of file frobby.cpp.

## Friends And Related Symbol Documentation

## Frobby::Ideal

friend class Frobby::Ideal

friend

Definition at line 194 of file frobby.cpp.

## Member Data Documentation

## _atVariable

size_t FrobbyImpl::FrobbyIdealHelper::_atVariable

private

Definition at line 197 of file frobby.cpp.

## _ideal

BigIdeal FrobbyImpl::FrobbyIdealHelper::_ideal

private

Definition at line 196 of file frobby.cpp.

The documentation for this class was generated from the following file:

- src/frobby.cpp